package space.kklochko.simple_jbdd.tests.reports.fmt;

import java.util.AbstractMap;
import java.util.ArrayList;

abstract public class AbstractTestReportFormatter {
    private ArrayList<AbstractMap.SimpleEntry<String, String>> testMetaData;
    private boolean isPassed;

    public AbstractTestReportFormatter(ArrayList<AbstractMap.SimpleEntry<String, String>> testMetaData, boolean isPassed) {
        setTestMetaData(testMetaData);
        setPassed(isPassed);
    }

    public abstract String format();

    public ArrayList<AbstractMap.SimpleEntry<String, String>> getTestMetaData() {
        return testMetaData;
    }

    public void setTestMetaData(ArrayList<AbstractMap.SimpleEntry<String, String>> testMetaData) {
        this.testMetaData = testMetaData;
    }

    public boolean isPassed() {
        return isPassed;
    }

    public void setPassed(boolean passed) {
        isPassed = passed;
    }
}

