package space.kklochko.simple_jbdd.tests.runners;

import space.kklochko.simple_jbdd.tests.Test;
import space.kklochko.simple_jbdd.tests.commands.AbstractTestCommand;

public class SimpleTestRunner extends AbstractTestRunner {
    private AbstractTestCommand<Test> command;

    public SimpleTestRunner(AbstractTestCommand<Test> command) {
        setCommand(command);
    }

    public boolean run() {
        try {
            return getCommand().test();
        }catch (AssertionError e) {
            return false;
        }
    }

    public AbstractTestCommand<Test> getCommand() {
        return command;
    }

    public void setCommand(AbstractTestCommand<Test> command) {
        this.command = command;
    }
}

